Re: [OMPI users] undefined reference error related to ucx

2019-06-25 Thread Gilles Gouaillardet via users
Passant, The support for UCX 1.6 has been backported into the v4.0.x branch, but after Open MPI 4.0.1 was released, and it will be available in Open MPI 4.0.2. Meanwhile, you can manually download and apply the patch at

Re: [OMPI users] undefined reference error related to ucx

2019-06-25 Thread Passant A. Hafez via users
Thanks Gilles! The thing is I'm having this error ud_iface.c:271 UCX Assertion `qp_init_attr.cap.max_inline_data >= UCT_UD_MIN_INLINE' failed and core files. I looked that up and it was suggested here https://github.com/openucx/ucx/issues/3336 that the UCX 1.6 might solve this issue, so I

Re: [OMPI users] undefined reference error related to ucx

2019-06-25 Thread Gilles Gouaillardet via users
Passant, UCX 1.6.0 is not yet officially released, and it seems Open MPI (4.0.1) does not support it yet, and some porting is needed. Cheers, Gilles On Tue, Jun 25, 2019 at 5:13 PM Passant A. Hafez via users wrote: > > Hello, > > > I'm trying to build ompi 4.0.1 with external ucx 1.6.0 but

[OMPI users] undefined reference error related to ucx

2019-06-25 Thread Passant A. Hafez via users
Hello, I'm trying to build ompi 4.0.1 with external ucx 1.6.0 but I'm getting ../../../opal/.libs/libopen-pal.so: undefined reference to `uct_ep_create_connected' collect2: error: ld returned 1 exit status configure line for ompi ./configure --prefix=/opt/ompi401_ucx16 --with-slurm